######################################################################
# Build Tools

.gradle
!gradle/wrapper/gradle-wrapper.jar

target/
!.mvn/wrapper/maven-wrapper.jar

######################################################################
# IDE

### STS ###
.apt_generated
.classpath
.factorypath
.project
.settings
.springBeans

### IntelliJ IDEA ###
.idea
*.iws
*.iml
*.ipr
*.class

### JRebel ###
rebel.xml
### NetBeans ###
nbproject/private/
nbbuild/
dist/
nbdist/
.nb-gradle/

######################################################################
# Others
*.log
*.xml.versionsBackup
*.swp
tmp

# docker
build/docker/mysql/data
build/docker/redis/data
build/docker/mysql/log
build/docker/nacos/logs
build/docker/mysql/db/*.sql
build/docker/mysql/db/upgrade/*/*.sql
build/docker/wfc/*/jar/*.jar
build/docker/wfc/*/*/jar/*.jar
build/docker/conf/default/i18n/*.properties

# Logs
logs
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
lerna-debug.log*

node_modules
.DS_Store
dist
dist-ssr
coverage
*.local

# Editor directories and files
.vscode/*
!.vscode/extensions.json
!.vscode/settings.json
!.vscode/launch.json
*.suo
*.ntvs*
*.njsproj
*.sln
*.sw?

package-lock.json
yarn.lock

.VSCodeCounter

# release
release/debs/*.deb
release/tars/*.tar.gz
release/src-tars/*.tar.gz
debbuild/etc
debbuild/opt
